MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030558Open CASCADE[OCCT] OCCT:Codingpublic2019-03-12 06:272019-04-08 12:19
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030558: Coding - replace math_SingleTab with NCollection_LocalArray
Descriptionmath_SingleTab duplicates functionality of NCollection_LocalArray, therefore it is proposed removing math_SingleTab.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0030552feedbackabv Community Foundation Classes - Stack overflow due to math_SingleTab static array size 

-  Notes
(0082859)
git (administrator)
2019-03-12 06:47

Branch CR30558 has been created by kgv.

SHA-1: 3c01e42068901f01705fa63a41ed9c1563a2d9b4


Detailed log of new commits:

Author: kgv
Date: Tue Mar 12 06:05:21 2019 +0300

    0030558: Coding - replace math_SingleTab with NCollection_LocalArray
    
    math_Vector::Multiplied() - fixed modification of original array.
    
    math_SVD::Solve(), math_SVD::PseudoInverse(), GeomFill_LocationGuide::InitX() - removed incorrect constness.
    
    math_Vector, math_IntegerVector - math_SingleTab has been replaced by NCollection_LocalArray+NCollection_Array1.
    Added accessors returning const value.
(0082860)
git (administrator)
2019-03-12 06:48

Branch CR30558 has been updated forcibly by kgv.

SHA-1: 5db39f67b5e39f2990a41f634115811e04da8a70
(0082864)
git (administrator)
2019-03-12 09:16

Branch CR30558 has been updated forcibly by kgv.

SHA-1: 1087b76735ec511d11a0d741580ef101033a9db1
(0082865)
kgv (developer)
2019-03-12 10:36

Patch is ready for review.
(0083057)
msv (developer)
2019-03-18 17:42

Reviewed.
(0083059)
apn (administrator)
2019-03-18 18:06

Combination -
OCCT branch : CR30558
master SHA - 1087b76735ec511d11a0d741580ef101033a9db1
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : CR30558 SHA - d4af54b9be0f7d10ae4de648071c4c1332e4b16c
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16620.750000000022 / 16599.24999999996 [+0.13%]
Products
Total CPU difference: 9085.770000000037 / 9092.71000000004 [-0.08%]
Windows-64-VC14:
OCCT
Total CPU difference: 18015.703125 / 17985.28125 [+0.17%]
Products
Total CPU difference: 10484.40625 / 10460.953125 [+0.22%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083509)
git (administrator)
2019-04-08 12:19

Branch CR30558 has been deleted by inv.

SHA-1: 1087b76735ec511d11a0d741580ef101033a9db1

- Related Changesets
occt: master 18434846
Timestamp: 2019-03-12 03:05:21
Author: kgv
Committer: apn
Details ] Diff ]
0030558: Coding - replace math_SingleTab with NCollection_LocalArray

math_Vector::Multiplied() - fixed modification of original array.

math_SVD::Solve(), math_SVD::PseudoInverse(), GeomFill_LocationGuide::InitX() - removed incorrect constness.

math_Vector, math_IntegerVector - math_SingleTab has been replaced by NCollection_LocalArray+NCollection_Array1.
Added accessors returning const value.
mod - src/FEmTool/FEmTool_ProfileMatrix.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_LocationGuide.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_LocationGuide.hxx Diff ] File ]
mod - src/math/FILES Diff ] File ]
mod - src/math/math_IntegerVector.cxx Diff ] File ]
mod - src/math/math_IntegerVector.hxx Diff ] File ]
mod - src/math/math_Matrix.cxx Diff ] File ]
rm - src/math/math_SingleTab.hxx Diff ] File ]
mod - src/math/math_SVD.cxx Diff ] File ]
mod - src/math/math_SVD.hxx Diff ] File ]
mod - src/math/math_Vector.cxx Diff ] File ]
mod - src/math/math_Vector.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-12 06:27 kgv New Issue
2019-03-12 06:27 kgv Assigned To => kgv
2019-03-12 06:47 git Note Added: 0082859
2019-03-12 06:48 git Note Added: 0082860
2019-03-12 06:50 kgv Relationship added related to 0030552
2019-03-12 09:16 git Note Added: 0082864
2019-03-12 10:36 kgv Note Added: 0082865
2019-03-12 10:36 kgv Assigned To kgv => abv
2019-03-12 10:36 kgv Status new => resolved
2019-03-18 13:48 kgv Assigned To abv => msv
2019-03-18 17:42 msv Note Added: 0083057
2019-03-18 17:42 msv Assigned To msv => bugmaster
2019-03-18 17:42 msv Status resolved => reviewed
2019-03-18 18:06 apn Test case number => Not needed
2019-03-18 18:06 apn Note Added: 0083059
2019-03-18 18:06 apn Status reviewed => tested
2019-03-24 18:54 apn Changeset attached => occt master 18434846
2019-03-24 18:54 apn Assigned To bugmaster => apn
2019-03-24 18:54 apn Status tested => verified
2019-03-24 18:54 apn Resolution open => fixed
2019-04-08 12:19 git Note Added: 0083509


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker